Skip to main content
`Ctrl`+`K`

# DMPlexComputeCellGeometryFVM

Compute the volume for a given cell

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeCellGeometryFVM(DM dm, PetscInt cell, PetscReal *vol, PetscReal centroid[], PetscReal normal[])

Collective

## Input Parameters

- dm - the `DMPLEX`

- cell - the cell

## Output Parameters

- vol - the cell volume

- centroid - the cell centroid

- normal - the cell normal, if appropriate

## See Also

`DMPLEX`, `DMGetCoordinateSection()`, `DMGetCoordinates()`

## Level

advanced

## Location

src/dm/impls/plex/plexgeometry.c

## Examples

src/dm/impls/plex/tutorials/ex3f90.F90
src/dm/impls/plex/tutorials/ex19.c
src/ts/tutorials/ex52.c
src/snes/tutorials/ex23.c
src/dm/impls/plex/tutorials/ex10.c
src/snes/tutorials/ex63.c
src/dm/impls/plex/tutorials/ex17.c
src/dm/impls/plex/tutorials/ex18.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages